org.apache.datasketches.quantilescommon

## Class IncludeMinMax.ItemsPair<T>

- java.lang.Object
- - org.apache.datasketches.quantilescommon.IncludeMinMax.ItemsPair<T>

Type Parameters:
  `T` - the item class type

Enclosing class:
  IncludeMinMax

    public static class IncludeMinMax.ItemsPair<T>
    extends Object

A simple structure to hold a pair of arrays

### Field Summary

Fields
`long[]` `cumWeights` The array of associated cumulative weights
`T[]` `quantiles` The array of quantiles

### Constructor Summary

Constructors
Constructor and Description
`ItemsPair(T[] quantiles, long[] cumWeights)` Constructor.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### quantiles

    public T[] quantiles

The array of quantiles

#### cumWeights

    public long[] cumWeights

The array of associated cumulative weights

### Constructor Detail

#### ItemsPair

    public ItemsPair(T[] quantiles,
                     long[] cumWeights)

Constructor.

Parameters:
  `quantiles` - the array of quantiles
  `cumWeights` - the array of associated cumulative weights